# Ensuring Model Validation

{% embed url="<https://youtu.be/LHDnugFvTpw>" %}

For anyone who might need the files, here are the files you'll need to follow this section.

{% file src="/files/LrmY9rLrQZxqWNAvNl7r" %}

One last step before exporting the model is to ensure there are no more issues in the model that we might have missed, and ensure the model is valid. This is a very important step in the process. A valid model is guaranteed to be exported successfully without any issues. We take this responsibility very seriously. [You can see the Pollination Pact here](https://www.pollination.solutions/pact).

To ensure the validity of the model we check every level for small gaps, and any mistakes in adjacency before using the validation routine. The Model Editor provides a collection of commands and utilities to help with this process:

* ![](/files/hXOaN79sTFFMLZV0qGAA)[Find Adjacency Gaps](/user-manual/model-editor/commands/alphabetically/me_find_adjacency_gaps.md)
* Highlight Non-orthogonal Walls (Alt + O)
* ![](/files/Kut0Erb3ItdKRSim02Tb) [Solve Adjacency](/user-manual/model-editor/commands/alphabetically/me_solve_adjacency.md)
* Highlight External Walls (Alt + E)

We will also use the validation routine to ensure the model is valid. If you have followed the previous steps, you should have already resolved most of the validation errors related to the floor plans.

The most common validation issues that you might see at this point are related to the overlapping windows and doors. We will use the [Repair Windows](/user-manual/model-editor/commands/alphabetically/me_repair_windows.md) command to fix those validation issues.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pollination.solutions/user-manual/revit-plugin/pollination-revit-classic/hands-on-tutorial/getting-started/ensuring-model-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
